%define _cert_dir %{_datadir}/pki/ca-trust-source/anchors

Name:           ca-certificates-dn42
Version:        2021.08.10
Release:        1%{?dist}
Summary:        DN42 root certificate

License:        Public Domain
URL:            https://dn42.dev/services/Certificate-Authority
Source0:        dn42.crt

BuildArch:      noarch

Requires:       ca-certificates
Requires(post): ca-certificates
Requires(postun): ca-certificates

%global debug_package %{nil}


%description
Distributed network 42 root certificates for the .dn42 domain.


%prep


%build


%install
install -d %{buildroot}%{_cert_dir}
install -vp -m 0444 %{SOURCE0} \
        %{buildroot}%{_cert_dir}/dn42.crt


%post
update-ca-trust


%postun
update-ca-trust


%files
%{_cert_dir}/dn42.crt


%changelog
* Tue Aug 10 2021 Dean Lindqvist Todevski <dean.todevski@gmail.com>
- Initial release
